### Method

# Xdp Portal prepare_print_finish

#### Declaration [src]

    GVariant*
    xdp_portal_prepare_print_finish (
      XdpPortal* portal,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finishes the prepare-print request.

Returns a `GVariant` dictionary with the following information:

- settings `a{sv}`: print settings as set up by the user in the print dialog
- page-setup `a{sv}: page setup as set up by the user in the print dialog
- token u: a token that can by used in a `xdp_portal_print_file()` call to avoid the print dialog.

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GVariant`
| A `GVariant` dictionary with print information.
| The caller of the method takes ownership of the data, and is responsible for freeing it.